CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2004-0867

Mozilla Firefox 0.9.2 allows web sites to set cookies for country-specific top-level domains, such as .ltd.uk, .plc.uk, and .sch.uk, which could allow remote attackers to perform a session fixation attack and hijack a user's HTTP session. NOTE: it was later reported that 2.x is also affected.
Publish Date : 2004-12-23 Last Update Date : 2008-09-10
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access User
Vulnerability Type(s)
CWE ID 264

- Products Affected By CVE-2004-0867

# Product Type Vendor Product Version Update Edition Language
1 Application KDE Konqueror 2.1.1 Version Details Vulnerabilities
2 Application KDE Konqueror 2.1.2 Version Details Vulnerabilities
3 Application KDE Konqueror 2.2.1 Version Details Vulnerabilities
4 Application KDE Konqueror 2.2.2 Version Details Vulnerabilities
5 Application KDE Konqueror 3.0 Version Details Vulnerabilities
6 Application KDE Konqueror 3.0.1 Version Details Vulnerabilities
7 Application KDE Konqueror 3.0.2 Version Details Vulnerabilities
8 Application KDE Konqueror 3.0.3 Version Details Vulnerabilities
9 Application KDE Konqueror 3.0.5 Version Details Vulnerabilities
10 Application KDE Konqueror 3.0.5b Version Details Vulnerabilities
11 Application KDE Konqueror 3.1 Version Details Vulnerabilities
12 Application KDE Konqueror 3.1.1 Version Details Vulnerabilities
13 Application KDE Konqueror 3.1.2 Version Details Vulnerabilities
14 Application KDE Konqueror 3.1.3 Version Details Vulnerabilities
15 Application KDE Konqueror 3.1.4 Version Details Vulnerabilities
16 Application KDE Konqueror 3.1.5 Version Details Vulnerabilities
17 Application KDE Konqueror 3.2.1 Version Details Vulnerabilities
18 Application KDE Konqueror 3.2.3 Version Details Vulnerabilities
19 Application Microsoft IE 6.0 SP1 Version Details Vulnerabilities
20 Application Microsoft IE 6.0 SP2 Version Details Vulnerabilities
21 Application Microsoft IE 6.0 Version Details Vulnerabilities
22 Application Mozilla Firefox 0.9.2 Version Details Vulnerabilities
23 OS Suse Suse Linux 1.0 Desktop Version Details Vulnerabilities
24 OS Suse Suse Linux 8 Enterprise Server Version Details Vulnerabilities
25 OS Suse Suse Linux 8.1 Version Details Vulnerabilities
26 OS Suse Suse Linux 8.2 Version Details Vulnerabilities
27 OS Suse Suse Linux 9.0 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
KDE Konqueror 18
Microsoft IE 3
Mozilla Firefox 1
Suse Suse Linux 5

- References For CVE-2004-0867

http://kuza55.blogspot.com/2008/02/understanding-cookie-security.html
http://marc.theaimsgroup.com/?l=bugtraq&m=109536612321898&w=2
BUGTRAQ 20040916 wp-04-0001: Multiple Browser Cookie Injection Vulnerabilities
http://secunia.com/advisories/12580/
SECUNIA 12580
http://securitytracker.com/id?1011331
SECTRACK 1011331
http://xforce.iss.net/xforce/xfdb/17415
XF web-browser-session-hijack(17415)
http://www.securityfocus.com/bid/11186
BID 11186 Multiple Browser Cross-Domain Cookie Injection Vulnerability Release Date:2009-07-12
https://bugzilla.mozilla.org/show_bug.cgi?id=252342 CONFIRM

- Metasploit Modules Related To CVE-2004-0867

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.